Page MenuHomePhabricator

Add OAuth 2.0 support to MediaWiki for use by web-based clients
Closed, ResolvedPublic

Description

This is an epic of a Core Platform Team initiative that is documented here.

Non-functional requirements:

  • OAuth 1.0 and OAuth 2.0 must be able to coexist
  • Implementation in the existing OAuth extension
  • Code must be extensible to support API-based clients in Epic 2
  • The MediaWiki code should not depend upon a particular client in any way
  • Possibly test with Wikimedia-hosted Discourse instance
  • Security review of all new code
  • Implement on top of new MediaWiki REST API support, if possible
  • Use existing library, if possible

Event Timeline

CCicalese_WMF triaged this task as Medium priority.Jul 31 2019, 9:51 PM
CCicalese_WMF created this task.
Izno added a subscriber: Izno.Aug 1 2019, 3:08 AM
CCicalese_WMF updated the task description. (Show Details)Aug 1 2019, 2:01 PM

Change 550847 had a related patch set uploaded (by ItSpiderman; owner: ItSpiderman):
[mediawiki/extensions/OAuth@master] Move OAuth2 functionality to OAuth(1) - session provider

https://gerrit.wikimedia.org/r/550847

CCicalese_WMF updated the task description. (Show Details)Dec 5 2019, 6:03 PM

Change 550847 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Move OAuth2 functionality to OAuth(1) - session provider

https://gerrit.wikimedia.org/r/550847

CCicalese_WMF closed this task as Resolved.Mar 18 2020, 7:24 PM
CCicalese_WMF claimed this task.